KDESU(1)

NOME
kdesu - Executa um programa com privilégios elevados

SINOPSE

kdesu [-c comando] [-d] [-f arquivo] [-i nome do ícone] [-n] [-p prioridade] [-r] [-s] [-t] [-u usuário] [--noignorebutton] [--attach ID da janela]

kdesu [opções genéricas do KDE] [opções genéricas do Qt]

DESCRIçãO

O KDE su é uma interface gráfica para o comando su do UNIX® no Ambiente de Trabalho K. Ele permite-lhe executar um programa como um usuário diferente fornecendo a senha deste usuário. O KDE su é um programa com privilégios especiais; ele usa o su do sistema.

O KDE su tem uma funcionalidade adicional: ele poderá recordar opcionalmente as senhas para você. Se estiver usando esta funcionalidade, você só terá que inserir a senha uma vez para cada comando.

Este programa pode ser iniciado a partir da linha de comando ou a partir de arquivos .desktop.

Uma vez que o kdesu não é mais instalado em $(kde4-config --prefix)/bin mas em kde4-config --path libexec e por essa razão não em seu Path, você deve usar $(kde4-config --path libexec)kdesu para iniciar o kdesu.

OPçõES

-c comando
    Isto especifica o comando a ser executado como 'root'. Tem que ser passado um argumento. Assim se, por exemplo, quiser iniciar um novo gerenciador de arquivos, você deve inserir na linha de comando algo como: $(kde4-config --path libexec)kdesu-c Dolphin

-d
    Mostra informações de depuração.

-f arquivo
    Esta opção permite um uso eficiente do KDE su em arquivos .desktop. Isto diz ao KDE su para examinar o arquivo indicado em arquivo. Se este arquivo puder ser alterado pelo usuário atual, o KDE su irá executar o comando com esse usuário. Se não puder ser alterado, o comando é executado com o usuário usuário (o 'root', por padrão).

    O arquivo é avaliado da seguinte forma: se o arquivo começar com uma /, é usado como um arquivo absoluto. Caso contrário, é tratado como o nome de um arquivo de configuração global do KDE.

-i nome do ícone
    Indica o ícone a usar na janela da senha. Você poderá indicar apenas o nome, sem qualquer extensão.

-n
    Não mantém a senha. Isto desabilita a opção Lembrar senha no diálogo de senha.

-p prioridade
    Indica o valor da prioridade. A prioridade é um número qualquer entre 0 e 100, onde o 100 corresponde à prioridade máxima e o 0 à mínima. O valor padrão é 50.

-r
    Usar escalonamento em tempo real.

-s
    Interrompe o servidor do 'kdesu'. Este é o servidor que coloca, em segundo plano, em 'cache' as senhas corretas. Esta funcionalidade também poderá ser desativada com o -n, quando o KDE su é executado inicialmente.

-t
    Permite enviar o resultado para o terminal. Isto desativa a memorização de senhas e é amplamente usado para fins de depuração. Se você quiser executar um aplicativo no modo de console, use o comando su normal.

-u usuário
    Embora a utilização mais comum do KDE su seja rodar um comando como super-usuário, você poderá indicar qualquer nome de usuário e a senha apropriada.

--noignorebutton
    Não exibe um botão para ignorar.

--attach ID da janela
    Torna a janela de uma aplicação X, identificada pela sua ID, transitória.

VEJA TAMBéM

su(1)

Está disponível um documentação de usuário mais detalhada em help:/kdesu (insira esta URL no Konqueror ou execute khelpcenter help:/kdesu).

EXEMPLOS

Executar o kfmclient com o usuário jose e mostrar o ícone do Konqueror na janela de senhas:

    $(kde4-config --path libexec)kdesu -u jose -i konqueror kfmclient

AUTORES

O KDE su foi criado por Geert Jansen jansen@kde.org e Pietro Iglio iglio@fub.it.

AUTOR

Lauri Watts <lauri@kde.org>
    Autor.